import sys
import turbogears, cherrypy
import traceknack
from turbogears import controllers

"""
See the for_cherrypy module for details, as this is practically identical.
"""

class TraceKnackRoot(controllers.Root):    
    def _cpOnError(self):
        try:
            raise
        except:
            cherrypy.response.body = self.debug.knack.handle(sys.exc_info())
    
    
class TraceKnackHandler(TraceKnackRoot):
    def __init__(self, root):
        self.knack = traceknack.TraceKnack(root)
    
    @turbogears.expose()
    def Viewer(self, except_id, depth=-1, callables=False, hidden=False):
        depth = int(depth)-1
        if depth<0: depth=None
        return self.knack.render_viewer(int(except_id), depth, bool(callables), bool(hidden))
        
    @turbogears.expose()
    def Var(self, except_id, depth, path, callables=False, hidden=False):
        depth = int(depth)-1
        if depth<0: depth=None
        return self.knack.get_variables(int(except_id), depth, bool(callables), bool(hidden), path)
        
