stylesheet = """
<style type='text/css'>

  /* reset */

  * 
  {
      padding:0;
      margin:0;
  }
  h1, h2, h3, h4, h5, h6, p, pre, blockquote, 
  label, ul, ol, dl, fieldset, address { margin:1em 5%; }
  li, dd { margin-left:5%; }
  fieldset { padding: .5em; }
  
  /* control */

  body
  {
      font-family:  "Trebuchet MS",Verdana,Helvetica,Arial,swiss;
      margin:       1em;
  }
  
  .output
  {
      border:       1px solid #00aaff;
      border-top:   0;
      overflow:     auto;
      position:     absolute;
      left:         1em;
      right:        1em;
      top:          6em;
      bottom:       1em;
      -moz-border-radius-bottomright: 5px;
      -moz-border-radius-bottomleft: 5px;
  }
  
  .output > code
  {
      display:      block;
      white-space:  pre;
      background:   #f7faff;
      margin:       0px;
      border-bottom:1px dotted #d7eaff;
  }
  .output > code strong
  {
      font-weight:  bold;
  }
  .output > code em
  {
      font-style:   normal;
      background:   #d7eaff;
      width:        100%;
      display:      block;
  }
  .output > code .lineNum
  {
      background:   #d7eaff;
      display:      block;
      width:        5em;
      text-align:   right;
      float:        left;
      padding-right:0.5em;
      border-right: 1px dotted cornflowerblue;
  }  
  .output > code em .lineNum
  {
      background:   #b7daef;
  }
  .toolbar
  {
      padding:      0.5em;
      background:   #00aaff; /*cornflowerblue;*/
      color:        white;
      font-weight:  bold;
      margin-top:   0.5em;
      white-space:  nowrap;
      overflow:     hidden;
      -moz-border-radius-topright: 5px;
      -moz-border-radius-topleft: 5px;
  }
  .toolbar input
  {
      margin-left: 2em;
  }
  
  .header
  {
      background:   white;
      margin:       0;
  }
  
  .header h1
  {
      display:      inline;
      margin:       0;
  }
  .header h2
  {
      margin:       0;
      position:     absolute;
      top:          1.45em;
      right:        1em;
      color:        gray;
      font-size:    1em;
  }
  
  ul.inspector
  {
      margin:       0;
      padding-top:  1em;
  }
  ul.inspector, .inspector ul
  {
      list-style:   none;
      margin-top:   0;
      margin-bottom:0;
  }
  .inspector ul
  {
      margin-left: 1em;
  }
  .inspector ul.hidden
  {
      display: none;
  }
  .inspector li
  {
      padding-bottom: 0.3em;
      margin-left: 1em;
      cursor: pointer;
  }
  li.hasChildren.folded:before
  {
      content: "4 ";
      font-family: "webdings";
  }
  li.hasChildren.unfolded:before
  {
      content: "6 ";
      font-family: "webdings";
  }
  li.noChildren:before
  {
      content: "4 ";
      font-family: "webdings";
      color: white;
  }
  .inspector var
  {
      font-style:   normal;
      font-weight:  bold;
      width:        20em;
  }
  .inspector code
  {
      color:        gray;
      position:     absolute;
      right:         50%;
      margin-right: 1em;
  }
  .inspector samp
  {
      position:     absolute;
      left:         50%;
      white-space:  nowrap;
  }
  .inspector samp .more
  {
      color:        silver;
  }
  .inspector .placeholder
  {
      color:        silver;
  }

  .output > code .keyword { color: #ef7000; }
  .output > code .comment { color: darkred; }
  .output > code .name { color: blue; }
  .output > code .string { color: darkgreen; }
  .output > code .builtin { color: purple; }


</style>
"""
